"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const stylish_1 = __importDefault(require("@html-validate/stylish"));
const chalk_1 = __importDefault(require("chalk"));
function linkSummary(results) {
    const urls = results.reduce((result, it) => {
        const urls = it.messages
            .map((error) => error.ruleUrl)
            .filter((error) => Boolean(error));
        return [...result, ...urls];
    }, []);
    const unique = Array.from(new Set(urls));
    if (unique.length === 0) {
        return "";
    }
    const lines = unique.map((url) => `  ${url}\n`);
    return `\n${chalk_1.default.bold("More information")}:\n${lines.join("")}\n`;
}
function stylish(results) {
    const errors = stylish_1.default(results.map((it) => (Object.assign(Object.assign({}, it), { fixableErrorCount: 0, fixableWarningCount: 0 }))));
    const links = linkSummary(results);
    return `${errors}${links}`;
}
const formatter = stylish;
exports.default = formatter;
